petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPMonitorSAWs

monitor solution using SAWs

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSAWs(KSP ksp,PetscInt n,PetscReal rnorm,void *ctx)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context Many br
| n | - iteration number Many br
| rnorm | - 2-norm (preconditioned) residual value (may be estimated). Many br
| ctx | - PetscViewer of type SAWs Many br

Many br

### Keywords

KSP, CG, monitor, SAWs, singular values

### See Also

KSPMonitorSingularValue(), KSPComputeExtremeSingularValues(), PetscViewerSAWsOpen()

Level:advanced
Location:src/ksp/ksp/interface/saws/kspsaws.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages